(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common')) :
    typeof define === 'function' && define.amd ? define('berry-ui', ['exports', '@angular/core', '@angular/common'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['berry-ui'] = {}, global.ng.core, global.ng.common));
}(this, (function (exports, i0, common) { 'use strict';

    var BerryUiService = /** @class */ (function () {
        function BerryUiService() {
        }
        return BerryUiService;
    }());
    BerryUiService.ɵprov = i0.ɵɵdefineInjectable({ factory: function BerryUiService_Factory() { return new BerryUiService(); }, token: BerryUiService, providedIn: "root" });
    BerryUiService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    BerryUiService.ctorParameters = function () { return []; };

    var BerryUiComponent = /** @class */ (function () {
        function BerryUiComponent() {
        }
        BerryUiComponent.prototype.ngOnInit = function () {
            console.log(this.color);
        };
        return BerryUiComponent;
    }());
    BerryUiComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'rui-button',
                    template: "test input"
                },] }
    ];
    BerryUiComponent.ctorParameters = function () { return []; };
    BerryUiComponent.propDecorators = {
        color: [{ type: i0.Input }]
    };

    var LineinputDirective = /** @class */ (function () {
        function LineinputDirective(el, render) {
            this.el = el;
            this.render = render;
            this.focus = false;
        }
        LineinputDirective.prototype.onFocus = function () {
            this.focus = true;
            this.render.addClass(this.el.nativeElement.offsetParent, 'input--filled');
            console.log(this.el);
        };
        LineinputDirective.prototype.onBlur = function () {
            this.focus = false;
            if (this.el.nativeElement.value.trim() === '') {
                this.render.removeClass(this.el.nativeElement.offsetParent, 'input--filled');
            }
            // this.render.removeClass(this.el.nativeElement.offsetParent, 'input--filled');
        };
        return LineinputDirective;
    }());
    LineinputDirective.decorators = [
        { type: i0.Directive, args: [{
                    selector: 'line-input input'
                },] }
    ];
    LineinputDirective.ctorParameters = function () { return [
        { type: i0.ElementRef },
        { type: i0.Renderer2 }
    ]; };
    LineinputDirective.propDecorators = {
        onFocus: [{ type: i0.HostListener, args: ['focus',] }],
        onBlur: [{ type: i0.HostListener, args: ['blur',] }]
    };

    var LineInputComponent = /** @class */ (function () {
        function LineInputComponent() {
            this.name = '';
            this.class = 'bli bli-ani';
        }
        LineInputComponent.prototype.ngOnInit = function () {
        };
        LineInputComponent.prototype.ngAfterContentInit = function () {
            if (!this.input) {
                console.error('this needs to have b-input input element, check the doc link');
            }
        };
        Object.defineProperty(LineInputComponent.prototype, "isInputFocus", {
            get: function () {
                return this.input ? this.input.focus : false;
            },
            enumerable: false,
            configurable: true
        });
        return LineInputComponent;
    }());
    LineInputComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'line-input',
                    template: "\n<div class=\"input berryLineInput\">\n\t<ng-content></ng-content>\n\t<!-- <input class=\"input__field input__field--nao\" type=\"text\" /> -->\n\t<label class=\"bli-lbl bli-lbl-ani\">\n\t\t<span class=\"bli-lbl-content bli-lbl-content-ani\">{{name}}</span>\n\t</label>\n\t<svg class=\"graphic graphic-ani\" width=\"300%\" height=\"100%\" viewBox=\"0 0 1200 60\" preserveAspectRatio=\"none\">\n\t\t<path d=\"M0,56.5c0,0,298.666,0,399.333,0C448.336,56.5,513.994,46,597,46c77.327,0,135,10.5,200.999,10.5c95.996,0,402.001,0,402.001,0\"/>\n\t</svg>\n</div>",
                    styles: [":host{display:inline-block;width:100%}:host ::ng-deep input{height:100%}:host(.input-focus) ::ng-deep input{outline:none}.input{position:relative;z-index:1;display:inline-block;margin:1em;max-width:100%;width:calc(100% - 2em);vertical-align:top}:host ::ng-deep input{position:relative;display:block;float:right;padding:.8em;width:60%;border:none;border-radius:0;background:#fff;color:#333;font-weight:400;font-family:Avenir Next,Helvetica Neue,Helvetica,Arial,sans-serif;-webkit-appearance:none}:host ::ng-deep input:focus{outline:none}.bli-lbl{display:inline-block;float:right;padding:0 1em;width:40%;color:#696969;font-weight:700;font-size:70.25%;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;-webkit-touch-callout:none;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.bli-lbl-content{position:relative;display:block;padding:1.6em 0;width:100%}.graphic{position:absolute;top:0;left:0;fill:none}.icon{color:#ddd;font-size:150%}.berryLineInput{overflow:hidden;padding-top:1em}:host ::ng-deep input{padding:.5em 0 .25em;width:100%;background:transparent;color:#9da8b2;font-size:1.25em}.bli-lbl-ani{position:absolute;top:.95em;font-size:.85em;left:0;display:block;width:100%;text-align:left;padding:0;pointer-events:none;transform-origin:0 0;transition:transform .2s .15s,color 1s;transition-timing-function:ease-out}.graphic-ani{stroke:#92989e;pointer-events:none;transition:transform .7s,stroke .7s;transition-timing-function:cubic-bezier(0,.25,.5,1)}:host ::ng-deep .input--filled .bli-lbl-ani,:host ::ng-deep input:focus+.bli-lbl-ani{color:#333;transform:translate3d(0,-1.25em,0) scale3d(.75,.75,1)}:host ::ng-deep .input--filled .graphic-ani,:host ::ng-deep input:focus~.graphic-ani{stroke:#333;transform:translate3d(-66.6%,0,0)}"]
                },] }
    ];
    LineInputComponent.propDecorators = {
        name: [{ type: i0.Input }],
        input: [{ type: i0.ContentChild, args: [LineinputDirective,] }],
        isInputFocus: [{ type: i0.HostBinding, args: ['class.input-focus',] }]
    };

    var LineInputModule = /** @class */ (function () {
        function LineInputModule() {
        }
        return LineInputModule;
    }());
    LineInputModule.decorators = [
        { type: i0.NgModule, args: [{
                    declarations: [LineInputComponent, LineinputDirective],
                    imports: [
                        common.CommonModule
                    ],
                    exports: [LineInputComponent, LineinputDirective]
                },] }
    ];

    var InputRefDirective = /** @class */ (function () {
        function InputRefDirective() {
            this.focus = false;
        }
        InputRefDirective.prototype.onFocus = function () {
            this.focus = true;
        };
        InputRefDirective.prototype.onBlur = function () {
            this.focus = false;
        };
        return InputRefDirective;
    }());
    InputRefDirective.decorators = [
        { type: i0.Directive, args: [{
                    selector: 'b-input input'
                },] }
    ];
    InputRefDirective.propDecorators = {
        onFocus: [{ type: i0.HostListener, args: ['focus',] }],
        onBlur: [{ type: i0.HostListener, args: ['blur',] }]
    };

    var BInputComponent = /** @class */ (function () {
        function BInputComponent() {
            this.icon = '';
        }
        BInputComponent.prototype.ngOnInit = function () {
            console.log(this.icon);
        };
        BInputComponent.prototype.ngAfterContentInit = function () {
            if (!this.input) {
                console.error('this needs to have b-input input element, check the doc link');
            }
        };
        Object.defineProperty(BInputComponent.prototype, "isInputFocus", {
            get: function () {
                return this.input ? this.input.focus : false;
            },
            enumerable: false,
            configurable: true
        });
        return BInputComponent;
    }());
    BInputComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'b-input',
                    template: "<i class=\"icon fa fa-{{icon}}\"></i>\n<ng-content></ng-content>\n",
                    styles: ["@import url(\"https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css\");:host{background-color:#fff}.icon{padding:0;position:absolute;text-align:center;width:30px;margin:7px 0 0;border:none}:host{display:inline-block;padding:1px 0}:host(.input-focus){outline:none;border:1px solid #5c5c5c;box-shadow:0 0 5px #5c5c5c;-webkit-box-shadow:0 0 5px #5c5c5c}:host ::ng-deep input{border:1px;outline:none;height:100%;width:100%;margin:1px 0;box-sizing:border-box}:host-context(.berry-primary-theme) :host{border:1px solid #a813d2;background-color:#fff}:host-context(.berry-primary-theme) :host(.input-focus){border:1px solid #a813d2;box-shadow:0 0 5px #a813d2;-webkit-box-shadow:0 0 5px #a813d2}:host ::ng-deep input{padding-left:30px}:host{border:1px solid #5c5c5c}"]
                },] }
    ];
    BInputComponent.ctorParameters = function () { return []; };
    BInputComponent.propDecorators = {
        icon: [{ type: i0.Input }],
        input: [{ type: i0.ContentChild, args: [InputRefDirective,] }],
        isInputFocus: [{ type: i0.HostBinding, args: ['class.input-focus',] }]
    };

    var BInputModule = /** @class */ (function () {
        function BInputModule() {
        }
        return BInputModule;
    }());
    BInputModule.decorators = [
        { type: i0.NgModule, args: [{
                    declarations: [
                        BInputComponent,
                        InputRefDirective
                    ],
                    imports: [
                        common.CommonModule
                    ],
                    exports: [
                        BInputComponent,
                        InputRefDirective
                    ],
                },] }
    ];

    var BerryUiModule = /** @class */ (function () {
        function BerryUiModule() {
        }
        return BerryUiModule;
    }());
    BerryUiModule.decorators = [
        { type: i0.NgModule, args: [{
                    declarations: [
                        BerryUiComponent,
                    ],
                    imports: [
                        BInputModule,
                        LineInputModule
                    ],
                    exports: [
                        BerryUiComponent,
                        BInputModule,
                        LineInputModule
                    ],
                    providers: []
                },] }
    ];

    /*
     * Public API Surface of berry-ui
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.BInputComponent = BInputComponent;
    exports.BerryUiComponent = BerryUiComponent;
    exports.BerryUiModule = BerryUiModule;
    exports.BerryUiService = BerryUiService;
    exports.InputRefDirective = InputRefDirective;
    exports.LineInputComponent = LineInputComponent;
    exports.LineInputModule = LineInputModule;
    exports.LineinputDirective = LineinputDirective;
    exports.ɵa = BInputModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=berry-ui.umd.js.map
